using System.ComponentModel;

namespace NorthwindBackend.NorthwindServiceReference
{
	public partial class Product : INotifyPropertyChanged
	{
		partial void OnDiscontinuedChanged()
		{
			this.OnPropertyChanged("Discontinued");
		}

		partial void OnProductIDChanged()
		{
			this.OnPropertyChanged("ProductID");
		}

		partial void OnProductNameChanged()
		{
			this.OnPropertyChanged("ProductName");
		}

		partial void OnQuantityPerUnitChanged()
		{
			this.OnPropertyChanged("QuantityPerUnit");
		}

		partial void OnReorderLevelChanged()
		{
			this.OnPropertyChanged("ReorderLevel");
		}

		partial void OnUnitPriceChanged()
		{
			this.OnPropertyChanged("UnitPrice");
		}

		partial void OnUnitsInStockChanged()
		{
			this.OnPropertyChanged("UnitsInStock");
		}

		partial void OnUnitsOnOrderChanged()
		{
			this.OnPropertyChanged("UnitsOnOrder");
		}

		partial void OnSupplierChanged()
		{
			this.OnPropertyChanged("Supplier");
		}

		#region INotifyPropertyChanged Members

		public event PropertyChangedEventHandler PropertyChanged;

		private void OnPropertyChanged(string propertyName)
		{
			if (this.PropertyChanged != null)
			{
				this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
			}
		}

		#endregion
	}
}
